Bug 478455 - s-c-k does not properly extract its .desktop file
s-c-k does not properly extract its .desktop file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-keyboard (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-30 08:30 EST by Dwayne Bailey
Modified: 2009-07-26 21:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-26 21:54:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Convert system-config-keyboard to use intltool (4.98 KB, patch)
2008-12-30 08:30 EST, Dwayne Bailey
no flags Details | Diff

  None (edit)
Description Dwayne Bailey 2008-12-30 08:30:37 EST
Created attachment 327962 [details]
Convert system-config-keyboard to use intltool

Description of problem:
Descriptions for the .desktop file are not translated

Version-Release number of selected component (if applicable):
devel/ 1.2.15-6

How reproducible:
make system-config-keyboard.desktop

  
Actual results:
Only Name= entries are localised Comment= is only in English


Expected results:
po/system-config-keyboard.pot should contain the description and the resultant .desktop should contain the final translations.

Additional info:
create_desktop.py should probably be removed to prevent confusion
intltool-merge is used to create the .desktop file

The po/Makefile only extracts from only *.py it is not using proper intltools infrastructure.

Patch attached
Comment 1 Bug Zapper 2009-06-09 06:33:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lubomir Rintel 2009-07-26 21:54:15 EDT
Applied, thanks.

Note You need to log in before you can comment on or make changes to this bug.